package beilv.site.mapper;

import java.util.List;
import java.util.Map;

import beilv.site.domain.BeilvSite;

/**
 * 球场管理Mapper接口
 * 
 * @author lc
 * @date 2025-01-06
 */
public interface BeilvSiteMapper 
{
    /**
     * 查询球场管理
     * 
     * @param id 球场管理主键
     * @return 球场管理
     */
    public BeilvSite selectBeilvSiteById(Long id);

    /**
     * 查询球场管理列表
     * 
     * @param beilvSite 球场管理
     * @return 球场管理集合
     */
    public List<BeilvSite> selectBeilvSiteList(BeilvSite beilvSite);

    /**
     * 新增球场管理
     * 
     * @param beilvSite 球场管理
     * @return 结果
     */
    public int insertBeilvSite(BeilvSite beilvSite);

    /**
     * 修改球场管理
     * 
     * @param beilvSite 球场管理
     * @return 结果
     */
    public int updateBeilvSite(BeilvSite beilvSite);

    /**
     * 删除球场管理
     * 
     * @param id 球场管理主键
     * @return 结果
     */
    public int deleteBeilvSiteById(Long id);

    /**
     * 批量删除球场管理
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBeilvSiteByIds(String[] ids);

    boolean selectOne(BeilvSite beilvSite);

    List<BeilvSite> getAllToList();

    int countSiteByVenueId(Long venueId);

    List<Map<String, String>> selectSiteTypeByVenueId(BeilvSite beilvSite);
}
